=== debian/changelog ===
snort (3.10.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.10.1.0
  * Update debian/copyright
  * Refresh patches
  * Update minimal required version of libdaq3-dev
  * Fix debian/copyright
  * Bump Standards-Version to 4.7.3
  * Update debian/watch to Version 5

 -- Sophie Brun <sophie@kali.org>  Tue, 20 Jan 2026 13:26:26 +0100
