=== src/mp_transport/CMakeLists.txt ===
add_subdirectory(mp_unix_transport)

add_library( mp_transports OBJECT
    mp_transports.cc
    mp_transports.h
)
