=== debian/changelog ===
snort (3.10.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.10.2.0
  * Install new binary show_flows

 -- Sophie Brun <sophie@kali.org>  Mon, 26 Jan 2026 17:04:41 +0100
