=== debian/watch ===
Version: 5
Template: Github
Dist: https://github.com/snort3/snort3
Uversion-Mangle: auto
